org.apache.lucene.search.suggest

## Class BitsProducer

- java.lang.Object
- - org.apache.lucene.search.suggest.BitsProducer

-     public abstract class BitsProducer
      extends Object

  A producer of `Bits` per segment.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BitsProducer()` Sole constructor, typically invoked by sub-classes.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Bits` | `getBits(LeafReaderContext context)` Return `Bits` for the given leaf.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BitsProducer

          protected BitsProducer()

      Sole constructor, typically invoked by sub-classes.

  - ### Method Detail

    - #### getBits

          public abstract Bits getBits(LeafReaderContext context)
                                throws IOException

      Return `Bits` for the given leaf. The returned instance must be non-null and have a `length` equal to `maxDoc`.
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.